%define Werror_cflags %nil
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

Summary:	A free chess program, plays decent game of chess
Name:		crafty
Version:	23.4
Release:	%mkrel 4
License:	Freeware, but restricted - consult the source code before use
Group:		Games/Boards
URL:		http://www.cis.uab.edu/info/faculty/hyatt/hyatt.html

Source0:	ftp://ftp.cis.uab.edu/pub/hyatt/source/%{name}-%{version}.zip
Source1:        http://www.craftychess.com/book.bin
Source2:        ftp://ftp.cis.uab.edu/pub/hyatt/book/books.bin
Source3:        ftp://ftp.cis.uab.edu/pub/hyatt/book/bookc.bin

Patch0:         crafty-opensuse-23.2-fix-Makefile.patch
Patch1:         crafty-opensuse-23.2-setup-paths.patch
Patch2:         crafty-opensuse-debian-23.2-security-203541.patch

%description
Crafty is a chess program written by Bob Hyatt <hyatt at cis.uab.edu>.
It is a direct descendent of Cray Blitz, the World Computer Champion
from 1983 to 1989.

It comes with a text interface like gnuchess do. If you want a graphical
interface, you can install GUI chessboards such as xboard and eboard.

Crafty is based on the classic BITMAP approach to representing the chess
board, but uses a unique methodology called "rotated bitmaps" to
significantly improve the performance of the chess engine.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

%ifarch x86_64 amd64
make CFLAGS="%{optflags}" linux-amd64
%else
make CFLAGS="%{optflags}" linux
%endif

%install
install -D -m 755 %{name} %{buildroot}%{_gamesbindir}/%{name}

# opening book
install -D -m 644 %{_sourcedir}/book.bin %{buildroot}%{_gamesdatadir}/%{name}/book.bin
install -D -m 644 %{_sourcedir}/books.bin %{buildroot}%{_gamesdatadir}/%{name}/books.bin
install -D -m 644 %{_sourcedir}/bookc.bin %{buildroot}%{_gamesdatadir}/%{name}/bookc.bin

%files
%doc %{name}.hlp
%{_gamesbindir}/*
%{_gamesdatadir}/*


%changelog
* Thu Oct 31 2013 tmb <tmb> 23.4-4.mga4
+ Revision: 548346
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 23.4-3.mga3.nonfree
+ Revision: 348294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 23.4-2.mga3.nonfree
+ Revision: 324383
- rebuild for Mga3 Beta1

* Thu Jul 19 2012 kamil <kamil> 23.4-1.mga3.nonfree
+ Revision: 272362
- use the newest book.bin books.bin and bookc.bin
- update license
- delete all old patches
- import new patches (P0, P1, P2) from opensuse, and rediff
- install only the binary and book
- adapt spec for Mageia
- imported package crafty

